dofile_once("mods/material_randomizer/files/utils.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local owner = EntityGetParent(entity_id)

local blackhole_off = get_component_by_props(owner, "LuaComponent", { script_source_file = "mods/material_randomizer/files/effects/blackhole/off.lua" })
-- If this component exists it's a re-apply
if blackhole_off then
  EntityRemoveComponent(owner, blackhole_off)
else
  local ent = EntityLoad("mods/material_randomizer/files/effects/blackhole/entity.xml", x, y - 10)
  EntityAddChild(owner, ent)
end
