local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local damage_model_component = EntityGetFirstComponent(owner, "DamageModelComponent")

local multipliers = ComponentObjectGetMembers(damage_model_component, "damage_multipliers")
for k, v in pairs(multipliers) do
  -- multipliers[k] = v * 0.25
  ComponentObjectSetValue2(damage_model_component, "damage_multipliers", k, v / 0.25)
end
