dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local character_platforming_component = EntityGetFirstComponent(owner, "CharacterPlatformingComponent" )
local character_data_component = EntityGetFirstComponent(owner, "CharacterDataComponent" )
if character_platforming_component and character_data_component then
  local original_pixel_gravity_var_store = get_variable_storage_component(owner, "matran_original_pixel_gravity")
  if original_pixel_gravity_var_store then
    local original_pixel_gravity = ComponentGetValue2(original_pixel_gravity_var_store, "value_int")
    local pixel_gravity = ComponentGetValue2(character_platforming_component, "pixel_gravity")
    ComponentSetValue2(character_platforming_component, "pixel_gravity", pixel_gravity + original_pixel_gravity)
    EntityRemoveComponent(owner, original_pixel_gravity_var_store)
  end
end
