local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local owner = EntityGetParent(entity_id)

local character_platforming_component = EntityGetFirstComponent(owner, "CharacterPlatformingComponent" )
local character_data_component = EntityGetFirstComponent(owner, "CharacterDataComponent" )
if character_platforming_component and character_data_component then
  local vx, vy = ComponentGetValue2(character_data_component, "mVelocity")
  SetRandomSeed(GameGetFrameNum() + x, GameGetFrameNum() + y)
  local knock_around_force = 30
  ComponentSetValue2(character_data_component, "mVelocity", vx + Randomf(-knock_around_force, knock_around_force), math.max(-50, vy + Randomf(-knock_around_force, knock_around_force)))
end
