dofile_once("mods/material_randomizer/files/utils.lua")

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

if not EntityHasTag(owner, "player_unit") then return end

local lua_comp_grow = get_component_by_props(owner, "LuaComponent", { script_source_file = "mods/material_randomizer/files/effects/long_arm/grow.lua" })
local lua_comp_shrink = get_component_by_props(owner, "LuaComponent", { script_source_file = "mods/material_randomizer/files/effects/long_arm/shrink.lua" })
if not lua_comp_grow then
  EntityAddComponent2(owner, "LuaComponent", {
    script_source_file="mods/material_randomizer/files/effects/long_arm/grow.lua",
    execute_every_n_frame=1,
    execute_on_added=false,
  })
end
if lua_comp_shrink then
  EntityRemoveComponent(owner, lua_comp_shrink)
end
