dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local character_data_component = EntityGetFirstComponent(owner, "CharacterDataComponent")
if character_data_component then
  local var_store_fly_recharge_spd = get_variable_storage_component(owner, "fly_recharge_spd")
  local var_store_fly_recharge_spd_ground = get_variable_storage_component(owner, "fly_recharge_spd_ground")
  if var_store_fly_recharge_spd then
    local old_fly_recharge_spd = ComponentGetValue2(var_store_fly_recharge_spd, "value_int")
    ComponentSetValue2(character_data_component, "fly_recharge_spd", old_fly_recharge_spd)
  end
  if var_store_fly_recharge_spd_ground then
    local old_fly_recharge_spd_ground = ComponentGetValue2(var_store_fly_recharge_spd_ground, "value_int")
    ComponentSetValue2(character_data_component, "fly_recharge_spd_ground", old_fly_recharge_spd_ground)
  end
end
