dofile_once("mods/material_randomizer/files/utils.lua")

local entity_id = GetUpdatedEntityID()

if not EntityHasTag(entity_id, "player_unit") then return end

local arm_entity = EntityGetWithName("arm_r")
local noodle_arm = EntityGetWithName("noodle_arm")
local sprite_component = EntityGetFirstComponentIncludingDisabled(arm_entity, "SpriteComponent")
local hotspot_component = EntityGetFirstComponent(entity_id, "HotspotComponent", "right_arm_root")
ComponentSetValue2(hotspot_component, "sprite_hotspot_name", "right_arm_start")
EntitySetComponentIsEnabled(arm_entity, sprite_component, true)
EntityKill(noodle_arm)
EntityRemoveComponent(entity_id, GetUpdatedComponentID())
