local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local owner = EntityGetParent(entity_id)
local item

SetRandomSeed(x, y + GameGetFrameNum())

if Random(0, 100) >= 25 then
  do return end
end

local inventory2_comp = EntityGetFirstComponent(owner, "Inventory2Component")
if inventory2_comp then
  item = ComponentGetValue(inventory2_comp, "mActiveItem")
  ComponentSetValue(inventory2_comp, "mActiveItem", "0")
end

if item and tonumber(item) > 0 then
  EntityRemoveFromParent(item)
  local item_pick_upper_component = EntityGetFirstComponent(owner, "ItemPickUpperComponent")
  if item_pick_upper_component and not EntityHasTag(owner, "player_unit") then
    EntitySetComponentIsEnabled(owner, item_pick_upper_component, false)
    EntityAddComponent(owner, "LuaComponent", {
      script_source_file="mods/material_randomizer/files/effects/slippery_hands/reenable_pick_upper.lua",
      execute_every_n_frame="300",
      execute_on_added="0",
      remove_after_executed="1",
    })
  end

  EntitySetComponentsWithTagEnabled(item, "enabled_in_world", true)

  local velocity_component = EntityGetFirstComponent(item, "VelocityComponent")
    if velocity_component then
    ComponentSetValue2(velocity_component, "mVelocity", Random(-50, 50), -100)
  else
    PhysicsApplyForce(item, Random(-300, 300), Random(-4000, -4000))
  end
end
