local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local is_reapply = false
local lua_components = EntityGetComponent(owner, "LuaComponent") or {}
for i, lua_component in ipairs(lua_components) do
  if ComponentGetValue2(lua_component, "script_source_file") == "mods/material_randomizer/files/effects/timebomb/trigger.lua" then
    EntityRemoveComponent(owner, lua_component)
    is_reapply = true
    break
  end
end

if not is_reapply then
  EntityAddComponent2(owner, "VariableStorageComponent", {
    name = "MATRAN_TIMEBOMB_FRAME_START",
    value_int = GameGetFrameNum()
  })
end
