dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local damage_model_component = EntityGetFirstComponentIncludingDisabled(owner, "DamageModelComponent")
if damage_model_component then  
  local var_store_blood_material = get_variable_storage_component(entity_id, "matran_bleed_gold_old_values_blood_material")
  local var_store_blood_spray_material = get_variable_storage_component(entity_id, "matran_bleed_gold_old_values_blood_spray_material")
  local var_store_blood_multiplier = get_variable_storage_component(entity_id, "matran_bleed_gold_old_values_blood_multiplier")
  if var_store_blood_material then
    local old_blood_material = ComponentGetValue2(var_store_blood_material, "value_string")
    ComponentSetValue2(damage_model_component, "blood_material", old_blood_material)
  end
  if var_store_blood_spray_material then
    local old_blood_spray_material = ComponentGetValue2(var_store_blood_spray_material, "value_string")
    ComponentSetValue2(damage_model_component, "blood_spray_material", old_blood_spray_material)
  end
  if var_store_blood_multiplier then
    local old_blood_multiplier = ComponentGetValue2(var_store_blood_multiplier, "value_float")
    ComponentSetValue2(damage_model_component, "blood_multiplier", old_blood_multiplier)
  end
end
