local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local character_platforming_component = EntityGetFirstComponent(owner, "CharacterPlatformingComponent" )
local character_data_component = EntityGetFirstComponent(owner, "CharacterDataComponent" )
if character_platforming_component and character_data_component then
  local pixel_gravity = ComponentGetValue2(character_platforming_component, "pixel_gravity")
  local vx, vy = ComponentGetValue2(character_data_component, "mVelocity")
  ComponentSetValue2(character_data_component, "mVelocity", vx, -30)
  EntityAddComponent2(owner, "VariableStorageComponent", { name = "matran_original_pixel_gravity", value_int = pixel_gravity })  
  ComponentSetValue2(character_platforming_component, "pixel_gravity", 0)
end
