dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local character_data_component = EntityGetFirstComponent(owner, "CharacterDataComponent")
if character_data_component then
  local var_store_flying_needs_recharge = get_variable_storage_component(entity_id, "flying_needs_recharge")
  if var_store_flying_needs_recharge then
    local old_flying_needs_recharge = ComponentGetValue2(var_store_flying_needs_recharge, "value_bool")
    ComponentSetValue2(character_data_component, "flying_needs_recharge", old_flying_needs_recharge)
  end
end
