local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local character_data_component = EntityGetFirstComponent(owner, "CharacterDataComponent")
if character_data_component then
  -- Store old values so we can restore them
  local flying_needs_recharge = ComponentGetValue2(character_data_component, "flying_needs_recharge")
  EntityAddComponent(entity_id, "VariableStorageComponent", {
    name = "flying_needs_recharge",
    value_bool = flying_needs_recharge and "1" or "0"
  })
  ComponentSetValue2(character_data_component, "flying_needs_recharge", false)
end
