dofile_once("mods/material_randomizer/files/utils.lua")

local tick = GetValueInteger("tick", 0)
local entity_id = GetUpdatedEntityID()

if tick == 1 then
  local lua_comp_grow = get_component_by_props(entity_id, "LuaComponent", { script_source_file = "mods/material_randomizer/files/effects/long_arm/grow.lua" })
  if lua_comp_grow then
    EntityRemoveComponent(entity_id, lua_comp_grow)
  end
end
if tick > 1 then
  
  local arm_entity = EntityGetWithName("arm_r")
  local x, y, rot, scale_x, scale_y = EntityGetTransform(arm_entity)
  if scale_x > 1 then
    scale_x = scale_x - 0.01
  end
  if scale_x < 1 then
    scale_x = 1
    EntityRemoveComponent(entity_id, GetUpdatedComponentID())
  end
  EntitySetTransform(arm_entity, x, y, rot, scale_x, scale_y)
end

SetValueInteger("tick", tick + 1)
