local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local character_data_component = EntityGetFirstComponent(owner, "CharacterDataComponent")
if character_data_component then
  -- Store old values so we can restore them
  local fly_recharge_spd = ComponentGetValue2(character_data_component, "fly_recharge_spd")
  local fly_recharge_spd_ground = ComponentGetValue2(character_data_component, "fly_recharge_spd_ground")
  EntityAddComponent(owner, "VariableStorageComponent", {
    name = "fly_recharge_spd",
    value_int = fly_recharge_spd
  })
  EntityAddComponent(owner, "VariableStorageComponent", {
    name = "fly_recharge_spd_ground",
    value_int = fly_recharge_spd_ground
  })
  ComponentSetValue2(character_data_component, "fly_recharge_spd", -0.1)
  ComponentSetValue2(character_data_component, "fly_recharge_spd_ground", -0.1)
end
