local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local kick_component = EntityGetFirstComponent(owner, "KickComponent" )
if kick_component then
  local max_force = tonumber(ComponentGetMetaCustom(kick_component, "max_force"))
  local player_kickforce = tonumber(ComponentGetMetaCustom(kick_component, "player_kickforce"))
  local kick_damage = tonumber(ComponentGetMetaCustom(kick_component, "kick_damage"))
  local kick_knockback = tonumber(ComponentGetMetaCustom(kick_component, "kick_knockback"))

  ComponentSetMetaCustom(kick_component, "max_force", max_force * 1.7)
  ComponentSetMetaCustom(kick_component, "player_kickforce", player_kickforce * 1.7)
  ComponentSetMetaCustom(kick_component, "kick_damage", kick_damage + 0.12)
  ComponentSetMetaCustom(kick_component, "kick_knockback", kick_knockback + 250)
end
