-- ###################################################
--                 Ingestion effects
-- ###################################################
table.insert(status_effects, {
  id="MATRAN_DIARRHEA",
  ui_name="Oh no...",
  ui_description="You can't stop shitting yourself.",
  ui_icon="mods/material_randomizer/files/effects/diarrhea/icon.png",
  protects_from_fire=true,
  effect_entity="mods/material_randomizer/files/effects/diarrhea/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_BLEED_GOLD",
  ui_name="Bleed gold",
  ui_description="Your blood has turned to gold.",
  ui_icon="mods/material_randomizer/files/effects/bleed_gold/icon.png",
  effect_entity="mods/material_randomizer/files/effects/bleed_gold/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_MINOR_REGENERATION",
  ui_name="Minor regeneration",
  ui_description="Slowly regain health.",
  ui_icon="mods/material_randomizer/files/effects/minor_regeneration/icon.png",
  protects_from_fire=true,
  effect_entity="mods/material_randomizer/files/effects/minor_regeneration/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_EXPLOSIVE_FARTS",
  ui_name="Explosive farts",
  ui_description="It wasn't me.",
  ui_icon="mods/material_randomizer/files/effects/explosive_farts/icon.png",
  effect_entity="mods/material_randomizer/files/effects/explosive_farts/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_HEAVY",
  ui_name="Heavy",
  ui_description="You feel kind of heavy...",
  ui_icon="mods/material_randomizer/files/effects/heavy/icon.png",
  effect_entity="mods/material_randomizer/files/effects/heavy/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_INCONTINENCE",
  ui_name="Incontinence",
  ui_description="It seems you are losing some kind of liquid...",
  ui_icon="mods/material_randomizer/files/effects/incontinence/icon.png",
  protects_from_fire=true,
  effect_entity="mods/material_randomizer/files/effects/incontinence/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_POWERFUL_KICKS",
  ui_name="Strong legs",
  ui_description="You're legs feel stronger!",
  ui_icon="mods/material_randomizer/files/effects/powerful_kicks/icon.png",
  effect_entity="mods/material_randomizer/files/effects/powerful_kicks/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_TIMEBOMB",
  ui_name="Timebomb",
  ui_description="Tick, tock, boom! You explode when time runs out! The longer it was active the bigger the explosion.",
  ui_icon="mods/material_randomizer/files/effects/timebomb/icon.png",
  effect_entity="mods/material_randomizer/files/effects/timebomb/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_LOW_GRAVITY",
  ui_name="Low gravity",
  ui_description="You feel a lot lighter.",
  ui_icon="mods/material_randomizer/files/effects/low_gravity/icon.png",
  effect_entity="mods/material_randomizer/files/effects/low_gravity/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_GAIN_MAX_HP",
  ui_name="Gain max hp",
  ui_description="Your health capacity increases slowly.",
  ui_icon="mods/material_randomizer/files/effects/gain_max_hp/icon.png",
  effect_entity="mods/material_randomizer/files/effects/gain_max_hp/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_HALVE_MANA_COST",
  ui_name="Halve mana cost",
  ui_description="Your spells only cost half as much mana to cast.",
  ui_icon="mods/material_randomizer/files/effects/halve_mana_cost/icon.png",
  effect_entity="mods/material_randomizer/files/effects/halve_mana_cost/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_LONG_ARM",
  ui_name="Long arm",
  ui_description="Your arm grows.",
  ui_icon="mods/material_randomizer/files/effects/long_arm/icon.png",
  effect_entity="mods/material_randomizer/files/effects/long_arm/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_ANOMALY_CATALYST",
  ui_name="Anomaly catalyst",
  ui_description="You are a catalyst for chaotic anomalies.",
  ui_icon="mods/material_randomizer/files/effects/anomaly_catalyst/icon.png",
  effect_entity="mods/material_randomizer/files/effects/anomaly_catalyst/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_NOODLE_ARM",
  ui_name="Noodle arm",
  ui_description="Your arm feels kind of noodly.",
  ui_icon="mods/material_randomizer/files/effects/noodle_arm/icon.png",
  effect_entity="mods/material_randomizer/files/effects/noodle_arm/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_EVAPORATE_LIQUIDS",
  ui_name="Evaporate liquids",
  ui_description="Liquids evaporate around you.",
  ui_icon="mods/material_randomizer/files/effects/evaporate_liquids/icon.png",
  effect_entity="mods/material_randomizer/files/effects/evaporate_liquids/effect.xml",
})

-- ###################################################
--                   Stain effects
-- ###################################################
table.insert(status_effects, {
  id="MATRAN_LOSE_LEVITATION",
  ui_name="Levitation down",
  ui_description="You're levitation energy is running out.",
  ui_icon="mods/material_randomizer/files/effects/lose_levitation/icon.png",
  effect_entity="mods/material_randomizer/files/effects/lose_levitation/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_INFINITE_LEVITATION",
  ui_name="Infinite levitation",
  ui_description="You can fly forever! ... or at least until this effect runs out.",
  ui_icon="mods/material_randomizer/files/effects/infinite_levitation/icon.png",
  effect_entity="mods/material_randomizer/files/effects/infinite_levitation/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_RESTORE_SPELL_USES",
  ui_name="Minor spell refresh",
  ui_description="The spells in your wands regenerate their uses slowly.",
  ui_icon="mods/material_randomizer/files/effects/restore_spell_uses/icon.png",
  effect_entity="mods/material_randomizer/files/effects/restore_spell_uses/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_RAPIDFIRE",
  ui_name="Rapidfire",
  ui_description="Your spells cast delay is lowered.",
  ui_icon="mods/material_randomizer/files/effects/rapidfire/icon.png",
  effect_entity="mods/material_randomizer/files/effects/rapidfire/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_IMPOTENCE",
  ui_name="Impotence",
  ui_description="Your wand refuses to work.",
  ui_icon="mods/material_randomizer/files/effects/impotence/icon.png",
  effect_entity="mods/material_randomizer/files/effects/impotence/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_BLINDNESS",
  ui_name="Blindness",
  ui_description="You're blind! How are you reading this!?",
  ui_icon="mods/material_randomizer/files/effects/blindness/icon.png",
  effect_entity="mods/material_randomizer/files/effects/blindness/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_ATTRACT_PROJECTILES",
  ui_name="Attract projectiles",
  ui_description="Nearby projectiles home towards you.",
  ui_icon="mods/material_randomizer/files/effects/attract_projectiles/icon.png",
  effect_entity="mods/material_randomizer/files/effects/attract_projectiles/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_SLIPPERY_HANDS",
  ui_name="Slippery hands",
  ui_description="You randomly lose hold of your possessions.",
  ui_icon="mods/material_randomizer/files/effects/slippery_hands/icon.png",
  effect_entity="mods/material_randomizer/files/effects/slippery_hands/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_GOLDRUSH",
  ui_name="Gold rush",
  ui_description="Goldnuggets are worth double. Affected enemies' corpses are made of gold.",
  ui_icon="mods/material_randomizer/files/effects/goldrush/icon.png",
  effect_entity="mods/material_randomizer/files/effects/goldrush/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_PROJECTILE_REPULSION",
  ui_name="Projectile repulsion",
  ui_description="Nearby projectiles are repelled.",
  ui_icon="mods/material_randomizer/files/effects/projectile_repulsion/icon.png",
  effect_entity="mods/material_randomizer/files/effects/projectile_repulsion/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_DEFENSE_UP",
  ui_name="Defense up",
  ui_description="You take 75% less damage from most sources.",
  ui_icon="mods/material_randomizer/files/effects/defense_up/icon.png",
  effect_entity="mods/material_randomizer/files/effects/defense_up/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_ATTRACTIVE",
  ui_name="Attractive",
  ui_description="Your milkshake brings all the uhh physics objects to your yard...",
  ui_icon="mods/material_randomizer/files/effects/attractive/icon.png",
  effect_entity="mods/material_randomizer/files/effects/attractive/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_FLOATY",
  ui_name="Floaty",
  ui_description="Who attached this balloon to you?!",
  ui_icon="mods/material_randomizer/files/effects/floaty/icon.png",
  effect_entity="mods/material_randomizer/files/effects/floaty/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_RADIOACTIVE",
  ui_name="Radioactive",
  ui_description="Nearby entities take damage.",
  ui_icon="mods/material_randomizer/files/effects/radioactive/icon.png",
  effect_entity="mods/material_randomizer/files/effects/radioactive/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_BLACKHOLE",
  ui_name="Black hole",
  ui_description="You seem to have a black hole above your head.",
  ui_icon="mods/material_randomizer/files/effects/blackhole/icon.png",
  effect_entity="mods/material_randomizer/files/effects/blackhole/effect.xml",
})

table.insert(status_effects, {
  id="MATRAN_DEMOLITION",
  ui_name="Demolition",
  ui_description="Your spells cause bigger explosions and you have fire and explosion immunity! Bombs away!",
  ui_icon="mods/material_randomizer/files/effects/demolition/icon.png",
  effect_entity="mods/material_randomizer/files/effects/demolition/effect.xml",
})
